## org.apache.cassandra.service
Class DatacenterSyncWriteResponseHandler

    java.lang.Object
      org.apache.cassandra.service.WriteResponseHandler
          org.apache.cassandra.service.DatacenterSyncWriteResponseHandler

All Implemented Interfaces:
  IAsyncCallback

    public class DatacenterSyncWriteResponseHandler

extends WriteResponseHandler

This class will block for the replication factor which is provided in the input map. it will block till we recive response from n nodes in each of our data centers.

Field Summary

Fields inherited from class org.apache.cassandra.service.WriteResponseHandler
`condition, localResponses, logger, responses`

Constructor Summary
`DatacenterSyncWriteResponseHandler(java.util.Map<java.lang.String,java.lang.Integer> responseCounts, java.lang.String table)`

Method Summary
`void` `response(Message message)`

Methods inherited from class org.apache.cassandra.service.WriteResponseHandler
`get, localResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatacenterSyncWriteResponseHandler

    public DatacenterSyncWriteResponseHandler(java.util.Map<java.lang.String,java.lang.Integer> responseCounts,
                                              java.lang.String table)

Method Detail

### response

    public void response(Message message)

  Specified by:
    `response` in interface `IAsyncCallback`
  Overrides:
    `response` in class `WriteResponseHandler`
  Parameters:
    `message` - response received.

Copyright © 2010 The Apache Software Foundation